ECHO OFF
cls
if %1!==! goto error
ECHO      *****************************************************************
ECHO      *      If you have not read the file READ.ME, please do so.     *
ECHO      *****************************************************************
ECHO        This install batch file will install the Quarterdeck White
ECHO        Papers v1.20 and QTEST to %1:\QWHITE.  The White Papers are
ECHO        shipped in a compressed format to allow them to fit on a
ECHO        single diskette.  The install will create the readable
ECHO        ASCII files. If you wish to install these files to another
ECHO        subdirectory press Ctrl-Break now and read the file READ.ME on
ECHO        the install disk for more information.
ECHO        -------------------------------------------------------------
ECHO        Press any key to continue or Ctrl-Break to stop.
pause >NUL
if NOT EXIST \QWHITE12.EXE goto ERROR
echo        Creating %1:\QWHITE
md %1:\QWHITE >NUL
echo . >%1:\qwhite\QW-PIF.DVP
if exist %1:\qwhite\QW-PIF.DVP goto INSTALL >NUL
goto ERROR
:INSTALL
erase %1:\qwhite\QW-PIF.DVP >NUL
ECHO        Copying QTEST.COM
copy QTEST.COM %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\QTEST.COM ECHO        QTEST.COM could not be copied
ECHO        Copying QTEST.TEC
copy QTEST.TEC %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\QTEST.TEC ECHO        QTEST.TEC could not be copied
ECHO        Copying READ.ME
copy READ.ME %1:\QWHITE >NUL
if NOT EXIST %1:\QWHITE\READ.ME echo          READ.ME could not be copied
ECHO        Copy complete
ECHO        Extracting The Quarterdeck White Papers
QWHITE12 -o %1:\qwhite
if errorlevel 1 goto EXTERR
ECHO        -------------------------------------------------------------
ECHO        The Quarterdeck White Papers and QTEST have been installed to
ECHO        %1:\QWHITE.  If you are using DESQview refer to 'OTHER:Adding
ECHO        Your Own Program' on pages 60-61 of your version 2 manual for
ECHO        help on adding the Quarterdeck White Papers to your DESQview
ECHO        Open Window Menu.  IF YOU ARE UPGRADING FROM A PREVIOUS VERSION
ECHO        OF THE WHITE PAPERS you will need to use the new .DVP file
ECHO        located in %1:\QWHITE.  Use DELETE A PROGRAM to remove the
ECHO        current entry from the DESQview Open Window menu and use
ECHO        ADD A PROGRAM to add it again.
ECHO      *****************************************************************
ECHO      * Do not run QWHITE.COM from a command line since it relies on  *
ECHO      * the information in the .DVP file and will not run without it. *
ECHO      *****************************************************************
ECHO       You should also read the files QTEST.TEC and QWHITE.TEC for
ECHO       information on running QTEST and QWHITE. The Quarterdeck White
ECHO       Papers program, QWHITE.COM, requires DESQview version 2.23 to
ECHO       run.  If you do not have DESQview version 2.23 or later, you may
ECHO       use your word processor, editor, or file viewer to read the
ECHO       technical notes. Read the files QWHITE.TEC and READ.ME for more
ECHO       information.
goto END
:EXTERR
ECHO        -------------------------------------------------------------
ECHO        The file QWHITE12.EXE could not be run.
:ERROR
ECHO        -------------------------------------------------------------
ECHO        The INSTALL failed.  Switch to the drive where you have placed
ECHO        the install diskette and type INSTALL X where X is the drive
ECHO        letter where INSTALL should place its files. For example: If
ECHO        the diskette is in the A drive and you wish to install to the C
ECHO        drive, switch to the A drive by typing A: and pressing ENTER.
ECHO        Then type INSTALL C and press ENTER to start the install. NOTE:
ECHO        Do NOT type a COLON after the drive letter for INSTALL. You may
ECHO        also want to read the file READ.ME for additional information.
:END
ECHO        -------------------------------------------------------------
